Appearance
PUT
/developer/me/clients/{clientId}This API method requires no scope.
Renames one of your own API clients.
Parameters ​
Path parameters
clientId stringRequest body ​
JSON
{
"name": "..."
}
Response ​
The updated API client.
JSON
{
"clientId": "...",
"name": "...",
"scopes": [
"..."
],
"kind": "...",
"disabled": true,
"createdAt": "2024-08-14T12:34:56.412",
"updatedAt": "2024-08-14T12:34:56.412",
"ownerUserId": "...",
"expiresAt": "2024-08-14T12:34:56.412"
}
| Error code | Description |
|---|---|
auth.api-client.interactive-sign-in-required | The call must come from a signed-in session. |
auth.api-client.name-required | The API client must have a name. |
auth.api-client.name-taken | You already have an API client with this name. |
auth.api-client.not-found | You have no API client with the given ID. |
auth.api-client.personal-not-allowed | No tenant of yours allows personal API clients. |